# Class CIM_MarkerService
extends CIM_ConditioningService

MarkerService represents the general process of marking a selected field in a network packet with a specified value. Packets are marked in order to control the conditioning that they will subsequently receive. Subclasses of MarkerService identify the specific fields to be marked, and introduce properties to represent the values used in marking these fields. Markers are usually invoked as a result of a preceding classifier match. MarkerService is a concrete class because its superclass (ConditioningService) is concrete. While this class can be instantiated, an instance of it does not accomplish anything, because both the field to be marked and the value used to mark it are defined in subclasses. MarkerService is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association). This association indicates that the MarkerService's functionality underlies the QoSService. MarkerService also participates in the NextService association to identify the subsequent ConditioningService(s) that act on packets after they have been marked.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_MarkerService

## Direct Known Subclasses

CIM_DSCPMarkerService
CIM_PreambleMarkerService
CIM_Priority8021QMarkerService
CIM_ToSMarkerService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

MarkerService represents the general process of marking a selected field in a network packet with a specified value. Packets are marked in order to control the conditioning that they will subsequently receive. Subclasses of MarkerService identify the specific fields to be marked, and introduce properties to represent the values used in marking these fields. Markers are usually invoked as a result of a preceding classifier match. MarkerService is a concrete class because its superclass (ConditioningService) is concrete. While this class can be instantiated, an instance of it does not accomplish anything, because both the field to be marked and the value used to mark it are defined in subclasses. MarkerService is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association). This association indicates that the MarkerService's functionality underlies the QoSService. MarkerService also participates in the NextService association to identify the subsequent ConditioningService(s) that act on packets after they have been marked.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service